Last Comment Bug 679725 - Create some BMP reftests for bitmaps with negative heights
: Create some BMP reftests for bitmaps with negative heights
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: Trunk
: x86_64 All
: -- normal (vote)
: mozilla9
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on: 600556 679486
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-17 08:40 PDT by Brian R. Bondy [:bbondy]
Modified: 2011-09-01 01:38 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch for more reftests with negative heights which means top to bottom (6.48 KB, patch)
2011-08-17 19:48 PDT, Brian R. Bondy [:bbondy]
joe: review+
Details | Diff | Review

Description Brian R. Bondy [:bbondy] 2011-08-17 08:40:22 PDT
The bitmap specification mentions that bitmaps can be stored from top to bottom instead of the usual bottom to top if the image height is negnative.  

We should add a reftest for each bit per pixel value to test negative heights.
Comment 1 Brian R. Bondy [:bbondy] 2011-08-17 19:48:57 PDT
Created attachment 553983 [details] [diff] [review]
Patch for more reftests with negative heights which means top to bottom

Everything passes with the refactored code by the way.
Comment 2 Brian R. Bondy [:bbondy] 2011-08-31 07:45:59 PDT
Pushed to mozilla-inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/43334e011fe8
Comment 3 Ed Morley [:emorley] 2011-09-01 01:38:05 PDT
http://hg.mozilla.org/mozilla-central/rev/43334e011fe8

Note You need to log in before you can comment on or make changes to this bug.